Bug 120011 - Nautilus doesn't refresh itself, Silly nautilus
Nautilus doesn't refresh itself, Silly nautilus
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-05 00:50 EDT by Scott Sloan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-29 16:27:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Sloan 2004-04-05 00:50:18 EDT
Description of problem:

File-roller doesn't refresh the nautilus after extraction to a folder.

Version-Release number of selected component (if applicable):


How reproducible:

file-roller-2.6.0-1
nautilus-2.6.0-1

Steps to Reproduce:
1. open nautilus and browse to directury with a compress file
2. right click and select "extract here"
3. forced to hit Ctrl+R to refresh content of window
  
Actual results:

Forced ctrl+R 

Expected results:

auto refresh on content change.

Additional info:
Comment 1 Scott Sloan 2004-04-06 20:05:02 EDT
I found out that if I save a file to ~/ from any program with ~/ open
nautilus doesn't refresh automatically. so I changed it over to a
nautilus bug. 
Comment 2 Julien Olivier 2004-04-07 10:08:45 EDT
Actually, Nautilus doesn't seem to refresh its windows at all.
However, it refreshes the desktop automatically.

I've checked, and fam is running in the background.

PS: I think you should change the summary of the bug, as it is not
related to file-roller at all.
Comment 3 Julien Olivier 2004-04-08 10:38:13 EDT
In Bug #119901, Dan Williams said:

"FAM has been disabled for a while due to
SELinux (FAM seems to be a security hole you could drive a truck
through), and this is being discussed.  Becuase so much of the desktop
depends on FAM being active, its probably going to be re-enabled for
FC2 Test 3, we're not sure."

If it's true (which i don't doubt), that explains why Nautilus doesn't
refresh its windows. But that doesn't explain why it *does* refresh
the desktop automatically and why it still doesn't refresh its windows
after I have manually launched fam as root...
Comment 4 Alexander Larsson 2004-04-16 12:04:33 EDT
fam is reenabled now.
Comment 5 Scott Sloan 2004-04-16 21:25:40 EDT
After the latest development builds (Apr 16th), Nautilius still
doesn't refresh it's windows, with fam enabled.

[scott@curran103 scott]$ ps auxw | grep -i fam
scott     3076  0.0  0.0  4808  604 pts/2    R    20:29   0:00 grep -i fam


again to cause this bug, I right click on a compress file, select
"extract here" and am forced to ctrl+R
Comment 6 Scott Sloan 2004-04-17 16:08:38 EDT
It's fixed in Apr 17 builds
Comment 7 Scott Sloan 2004-05-06 12:29:10 EDT
This is broken again in test3

Note You need to log in before you can comment on or make changes to this bug.